GIMP Library Reference Manual
<<< Previous Page | Home | Up | Next Page >>>

# gimpcolordisplay

## Name

gimpcolordisplay -- Functions and definitiions for creating a pluggable GIMP display color correction module.

## Synopsis

    void        (*GimpColorDisplayInit)         (void);
    gpointer    (*GimpColorDisplayNew)          (gint type);
    gpointer    (*GimpColorDisplayClone)        (gpointer cd_ID);
    void        (*GimpColorDisplayConvert)      (gpointer cd_ID,
                                                 guchar *buf,
                                                 gint width,
                                                 gint height,
                                                 gint bpp,
                                                 gint bpl);
    void        (*GimpColorDisplayDestroy)      (gpointer cd_ID);
    void        (*GimpColorDisplayFinalize)     (void);
    void        (*GimpColorDisplayLoadState)    (gpointer cd_ID,
                                                 GimpParasite *state);
    GimpParasite* (*GimpColorDisplaySaveState)  (gpointer cd_ID);
    void        (*GimpColorDisplayConfigure)    (gpointer cd_ID,
                                                 GFunc ok_func,
                                                 gpointer ok_data,
                                                 GFunc cancel_func,
                                                 gpointer cancel_data);
    void        (*GimpColorDisplayConfigureCancel)
                                                (gpointer cd_ID);
    struct      GimpColorDisplayMethods;
    gboolean    gimp_color_display_register     (const gchar *name,
                                                 GimpColorDisplayMethods *methods);
    gboolean    gimp_color_display_unregister   (const gchar *name);

## Description

Functions and definitiions for creating a pluggable GIMP display color correction module.

## Details

### GimpColorDisplayInit ()

    void        (*GimpColorDisplayInit)         (void);

### GimpColorDisplayNew ()

    gpointer    (*GimpColorDisplayNew)          (gint type);

`type` : |
Returns : |

### GimpColorDisplayClone ()

    gpointer    (*GimpColorDisplayClone)        (gpointer cd_ID);

`cd_ID` : |
Returns : |

### GimpColorDisplayConvert ()

    void        (*GimpColorDisplayConvert)      (gpointer cd_ID,
                                                 guchar *buf,
                                                 gint width,
                                                 gint height,
                                                 gint bpp,
                                                 gint bpl);

`cd_ID` : |
`buf` : |
`width` : |
`height` : |
`bpp` : |
`bpl` : |

### GimpColorDisplayDestroy ()

    void        (*GimpColorDisplayDestroy)      (gpointer cd_ID);

`cd_ID` : |

### GimpColorDisplayFinalize ()

    void        (*GimpColorDisplayFinalize)     (void);

### GimpColorDisplayLoadState ()

    void        (*GimpColorDisplayLoadState)    (gpointer cd_ID,
                                                 GimpParasite *state);

`cd_ID` : |
`state` : |

### GimpColorDisplaySaveState ()

    GimpParasite* (*GimpColorDisplaySaveState)  (gpointer cd_ID);

`cd_ID` : |
Returns : |

### GimpColorDisplayConfigure ()

    void        (*GimpColorDisplayConfigure)    (gpointer cd_ID,
                                                 GFunc ok_func,
                                                 gpointer ok_data,
                                                 GFunc cancel_func,
                                                 gpointer cancel_data);

`cd_ID` : |
`ok_func` : |
`ok_data` : |
`cancel_func` : |
`cancel_data` : |

### GimpColorDisplayConfigureCancel ()

    void        (*GimpColorDisplayConfigureCancel)
                                                (gpointer cd_ID);

`cd_ID` : |

### struct GimpColorDisplayMethods

    struct GimpColorDisplayMethods
    {
      GimpColorDisplayInit            init;
      GimpColorDisplayNew             new;
      GimpColorDisplayClone           clone;
      GimpColorDisplayConvert         convert;
      GimpColorDisplayDestroy         destroy;
      GimpColorDisplayFinalize        finalize;
      GimpColorDisplayLoadState       load;
      GimpColorDisplaySaveState       save;
      GimpColorDisplayConfigure       configure;
      GimpColorDisplayConfigureCancel cancel;
    };

### gimp_color_display_register ()

    gboolean    gimp_color_display_register     (const gchar *name,
                                                 GimpColorDisplayMethods *methods);

`name` : |
`methods` : |
Returns : |

### gimp_color_display_unregister ()

    gboolean    gimp_color_display_unregister   (const gchar *name);

`name` : |
Returns : |

## See Also

GModule

libgimp-gimpmodule

<<< Previous Page | Home | Up | Next Page >>>
gimpmodule | gimpcolorselector